libname m 'c:\document\corr';

data help;
set m.dehp2;
dose=dose/292;
collaps = ((visceral-1) or (skeletal-1) or (external-1));
if visceral=. then delete;
skeletal=skeletal-1;
visceral=visceral-1;
external=external-1;
run;

proc mixed data=help method=reml covtest;
title 'linear mixed model for weight (DEHP2)';
title2 'random intercept';
class litter;
id litter dose;
model weight=dose / solution ddfm=satterth;
random intercept / subject=litter solution v g;
run;

