libname m '\bartsas\gent';

options linesize=72 nocenter nonumber nodate;


proc mixed data=m.heat42 method=ml covtest nobound;
title 'outcome=OLS - R.I. model';
class wec dam;
model ols=durtemp2 posdur  / solution ddfm=satterth;
random intercept / subject=wec(dam);
run;


data m.heat42hhh;
set m.heat42;
litter=wec*100+dam;
resid=ols-3.0096-0.08154*durtemp2+0.00554*posdur;
keep wec dam litter durtemp2 posdur ols resid;
run;

proc sort data=m.heat42hhh;
by litter;
run;


proc print data=m.heat42hhh;
run;
